## libgnomecanvasmm2.6 2.26.0

=== debian/changelog ===
libgnomecanvasmm2.6 (2.26.0-2) unstable; urgency=low

  * Team upload.

  [ Josselin Mouette ]
  * Drop .la file, it’s not referenced anywhere anymore.
  * Update repository URL.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.

  [ Simon McVittie ]
  * Acknowledge NMU by Steve McIntyre
  * Use 3.0 (quilt) source format instead of deprecated cdbs simple-patchsys
  * Move the library and the source package to oldlibs. The underlying
    libgnomecanvas has been deprecated for years.
  * Rename library package for the libstdc++ transition. It isn't 100%
    clear to me whether the ABI actually breaks here, but the conservative
    assumption is that it does (due to GLib::ustring, which embeds
    a std::string).
  * Remove useless *.md5 files from Doxygen docs
  * Remove obsolete Dm-Upload-Allowed field from debian/control

 -- Simon McVittie <smcv@debian.org>  Sat, 22 Aug 2015 21:52:52 +0100

libgnomecanvasmm2.6 (2.26.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update libtool at build time using dh-autoreconf, in order to fix
    build failures on new arches. Closes: #702356,#744610. Thanks to
    Daniel Schepler for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 05 Oct 2014 00:57:58 +0200

libgnomecanvasmm2.6 (2.26.0-1) unstable; urgency=low

  * New upstream stable release.
  * Upload to unstable, drop check-dist.mk.
  * Target unstable branch in VCS-*.
  * Track stable releases in debian/watch.
  * Update Standard-Version to 3.8.1.
  * Update debian/copyright to conform to latest DEP 5 proposal
    + Add missing copyright statement.
    + Point to versioned license files.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sat, 16 May 2009 01:36:10 +0800

libgnomecanvasmm2.6 (2.23.1-1) experimental; urgency=low

  [ Deng Xiyue ]
  * Add dpkg-dev >= 1.14.16 to Build-Depends for DM usage.
  * Remove doc-base from Build-Depends as it's not b-deped on.
  * Add ${shlibs:Depends} to all Depends fields as recommended.
  * Use machine-interpretable format for debian/copyright.

  [ Loic Minier ]
  * Properly anchor package name regexp.

  [ Deng Xiyue ]
  * New upstream development release.
    + Update SHVER to 2.23.1 due to new API addition.
  * `make -C examples clean` after `make install` to prevent shipping
    unexpected files.
  * Add check-dist.mk to prevent unexpected upload.
  * Track development releases in debian/watch.
  * Update Standard-Version to 3.8.0.  No change needed.
  * Track experimental branch in Vcs-*.
  * Use viewsvn in Vcs-Browser.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 05 Mar 2009 10:36:13 +0800

libgnomecanvasmm2.6 (2.22.0-1) unstable; urgency=low

  * New upstream release.
    + Drop examples/README exclude rule, as upstream doesn't ship it now.
  * Correct copyright holders, correct license pointer to
    /usr/share/common-licenses/LGPL-2.1 in debian/copyright.
  * Refined watch file to check for number based version, and update watch
    version to 3.
  * Bump compat level to 6, let debhelper >= 6 accordingly, and let
    cdbs >= 0.4.51 to avoid empty -dbg bug.
  * Refine build-dependencies as per upstream configure script, and drop
    -1 postfix in version as per lintian.
  * Add ${shlibs:Depends} to -dev package.
  * Refined debian/rules to set variables SHARED_PKG and DOC_PKG by sed
    from debian/control and use variable SHVER for shlibs version, and
    refine and reformat corresponding rules accordingly.
  * Remove compression exclude rule, as it's usually harmless to live
    without it.
  * Drop 70_relibtoolize.patch, and use chrpath hack to get rid of amd64
    rpath issue, hence add chrpath to b-deps.  Should contact upstream for
    real fix.
  * Fix section in doc-base reference.
  * Add `DM-Upload-Allowed: yes' field. Thanks Loïc for advocacy.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 17 Mar 2008 11:47:53 +0800

libgnomecanvasmm2.6 (2.20.0-3) unstable; urgency=low

  [ Deng Xiyue ]
  * debian/control, debian/control.in:
    + Bump standard version to 3.7.3. No change required.
    + Bump cdbs version to >= 0.4.41, reason given below.
  * debian/copyright:
    + Update download URL.
    + Update upstream authors' email addresses.
  * debian/*.install:
    + Refined to the shortened form.
  * debian/libgnomecanvasmm-2.6-doc.docs:
    + Install with original path hierarchy.
  * debian/libgnomecanvasmm-2.6-doc.doc-base.*:
    + Fix path.
  * debian/rules:
    + Add LDFLAGS "-Wl,--as-needed" to reduce unneeded shlibs dependencies.
    + Let examples be compressed.
    + Directly specify LDFLAG instead of using DEB_CONFIGURE_SCRIPT_ENV
      which might override existing LDFLAGS settings, which is supported
      since cdbs >= 0.4.41, hence bump its dependency. Thanks Loïc Minier.
    + Include clean-la.mk from gnome-pkg-tools to remove dependency_libs
      information from .la files. Thanks Loïc Minier and Josselin Mouette.
    - Drop DEB_AUTO_UPDATE_DEBIAN_CONTROL as cdbs dependency is written by
      hand, and avoiding generating debian/control twice by a single clean.
    + Replace most ':=' with '+=' to avoid overwriting existing values.
    + Refine exclude rules.
    - Remove useless DEB_INSTALL_CHANGELOGS_ALL.
    + Add DEB_DH_INSTALL_SOURCEDIR := debian/tmp, so *.install files can
      be shortened.
    + Add an extra rule to exclude empty examples/README to make lintian happy.
  * debian/watch:
    + Use spaces instead of tabs when indent.
    (Thanks Loïc Minier for reviewing and the suggestions)

  [ Loic Minier ]
  * Wrap Conflicts and Replaces.
  * Fix watch file.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 17 Dec 2007 16:58:06 +0800

libgnomecanvasmm2.6 (2.20.0-2) unstable; urgency=high

  * debian/control, debian/control.in
    + Add Homepage, Vcs-Browser and Vcs-Svn entries.
    + Add Replaces: to handle file moving together with Conflicts:,

