=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgnomecanvasmm2.6
Section: oldlibs
Priority: optional
Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Homepage: http://www.gtkmm.org/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/attic/libgnomecanvasmm2.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/attic/libgnomecanvasmm2.6
Build-Depends: cdbs (>= 0.4.51),
               debhelper (>= 6),
               dpkg-dev (>= 1.14.16),
               gnome-pkg-tools (>= 0.11),
               libgnomecanvas2-dev (>= 2.6.0),
               libgtkmm-2.4-dev (>= 2.4.0),
               doxygen,
               dh-autoreconf
Standards-Version: 3.8.1

Package: libgnomecanvasmm-2.6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgnomecanvasmm-2.6-1v5 (= ${binary:Version}),
         libgnomecanvas2-dev (>= 2.6.0),
         libgtkmm-2.4-dev (>= 2.4.0)
Suggests: libgnomecanvasmm-2.6-doc
Description: C++ wrappers for libgnomecanvas2 (development files)
 libgnomecanvas is a high-level, structured graphics
 library. libgnomecanvasmm is the C++ wrapper for libgnomecanvas.
 .
 This package contains development files.

Package: libgnomecanvasmm-2.6-1v5
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgnomecanvasmm-2.6-1,
           libgnomecanvasmm-2.6-1c2,
           libgnomecanvasmm-2.6-1c2a,
Replaces: libgnomecanvasmm-2.6-1,
          libgnomecanvasmm-2.6-1c2,
          libgnomecanvasmm-2.6-1c2a,
Description: C++ wrappers for libgnomecanvas2 (shared library)
 libgnomecanvas is a high-level, structured graphics
 library. libgnomecanvasmm is the C++ wrapper for libgnomecanvas.
 .
 This package contains shared libraries.

Package: libgnomecanvasmm-2.6-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         lynx | www-browser
Suggests: libgtkmm-2.4-doc
Conflicts: libgnomecanvasmm-2.6-dev (<< 2.20.0-1)
Replaces: libgnomecanvasmm-2.6-dev (<< 2.20.0-1)
Description: C++ wrappers for libgnomecanvas2 (documentation)
 libgnomecanvas is a high-level, structured graphics
 library. libgnomecanvasmm is the C++ wrapper for libgnomecanvas.
 .
 This package contains reference documentation and examples.
