=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk


GNOME_MODULE := libgnomecanvasmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgnomecanvasmm-[0-9\.]+-[0-9][0-9a-z]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libgnomecanvasmm-[0-9\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.23.1

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

export AUTOHEADER = true
DEB_CONFIGURE_EXTRA_FLAGS += --enable-static
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) := -V"$(SHARED_PKG) (>= $(SHVER))"
DEB_INSTALL_DOCS_$(DOC_PKG) += -XMakefile -XDoxyfile
DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o

build/$(DOC_PKG)::
	$(MAKE) -C docs/reference
	find docs/reference/html -name '*.md5' -print0 | xargs -0 rm -v

install/$(DOC_PKG)::
	$(MAKE) -C examples clean
